#ifndef MG_ICE_SSL_OPENSSL_PLUGIN_I_H
#define MG_ICE_SSL_OPENSSL_PLUGIN_I_H

// Dirty trick to get the write access to
// _serverContext, _clientContext, and_configMutex
#define private protected
#include <IceSSL/OpenSSLPluginI.h>
#undef protected

namespace MgIceSSL
{

class MgOpenSSLPluginI : public IceSSL::OpenSSLPluginI {

public:

  MgOpenSSLPluginI(const IceInternal::ProtocolPluginFacadePtr & facade)
    : IceSSL::OpenSSLPluginI(facade) {}
  virtual ~MgOpenSSLPluginI() {}

  virtual void configure();
  virtual void configure(IceSSL::ContextType);

  virtual void setCertificateVerifier(IceSSL::ContextType,
				      const IceSSL::CertificateVerifierPtr &);

private:

};

}

#endif
